# Class JspEngineInfo

java.lang.Object
javax.servlet.jsp.JspEngineInfo

public abstract class JspEngineInfo extends Object
The JspEngineInfo is an abstract class that provides information on the current JSP engine.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JspEngineInfo()`
  Sole constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract String`
  `getSpecificationVersion()`
  Return the version number of the JSP specification that is supported by this JSP engine.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JspEngineInfo

    public JspEngineInfo()
    Sole constructor. (For invocation by subclass constructors, typically implicit.)

- ## Method Details

  - ### getSpecificationVersion

    public abstract String getSpecificationVersion()
    Return the version number of the JSP specification that is supported by this JSP engine.

    Specification version numbers that consists of positive decimal integers separated by periods ".", for example, "2.0" or "1.2.3.4.5.6.7". This allows an extensible number to be used to represent major, minor, micro, etc versions. The version number must begin with a number.

    Returns:
      the specification version, null is returned if it is not known